## python-django 2.2.28

=== debian/changelog ===
python-django (2:2.2.28-1~deb11u9) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS security team. (Closes: #1116979)
  * CVE-2025-59681: Fix a potential SQL injection in QuerySet.annotate(),
    alias(), aggregate() and extra(). These methods were subject to SQL
    injection in column aliases, using a suitably crafted dictionary via
    dictionary expansion as the **kwargs passed to these methods on MySQL
    and MariaDB.
  * CVE-2025-59682: Fix a potential partial directory-traversal vulnerability
    in archive.extract(). This function, used by startapp --template and
    startproject --template, allowed partial directory-traversal via an archive
    with file paths sharing a common prefix with the target directory.

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Oct 2025 13:43:12 -0700

python-django (2:2.2.28-1~deb11u8) bullseye-security; urgency=high

  * CVE-2025-57833: The FilteredRelation class was subject to a potential SQL
    injection through its use of column aliases. This could have been exploited
    using a suitably crafted dictionary that was controlled by an attacker,
    either with dictionary expansion via the **kwargs passed to
    QuerySet.annotate() or by using QuerySet.alias() directly.
    (Closes: #1113865)

 -- Chris Lamb <lamby@debian.org>  Mon, 15 Sep 2025 14:33:43 -0700

python-django (2:2.2.28-1~deb11u7) bullseye-security; urgency=high

  * CVE-2025-48432: Potential log injection via unescaped request path.

    Django's internal HTTP response logging used request.path directly,
    allowing control characters (e.g. newlines or ANSI escape sequences) to
    be written unescaped into logs. This could enable log injection or
    forgery, letting attackers manipulate log appearance or structure,
    especially in logs processed by external systems or viewed in terminals.
    (Closes: #1107282)

  * CVE-2025-32873: Denial-of-service possibility in strip_tags()

    django.utils.html.strip_tags() would be slow to evaluate certain inputs
    containing large sequences of incomplete HTML tags. This function is used
    to implement the striptags template filter, which was therefore also
    vulnerable. strip_tags() now raises a SuspiciousOperation exception if it
    encounters an unusually large number of unclosed opening tags.
    (Closes: #1104872)

  * CVE-2023-41164: Potential denial of service vulnerability in
    django.utils.encoding.uri_to_iri(). This method was subject to potential
    denial of service attack via certain inputs with a very large number of
    Unicode characters. (Closes: #1051226)

  * CVE-2023-43665: Address a denial-of-service possibility in
    django.utils.text.Truncator.

    Following the fix for CVE-2019-14232, the regular expressions used in the
    implementation of django.utils.text.Truncator’s chars() and words()
    methods (with html=True) were revised and improved. However, these
    regular expressions still exhibited linear backtracking complexity, so
    when given a very long, potentially malformed HTML input, the evaluation
    would still be slow, leading to a potential denial of service
    vulnerability.

    The chars() and words() methods are used to implement the
    truncatechars_html and truncatewords_html template filters, which were
    thus also vulnerable.

    The input processed by Truncator, when operating in HTML mode, has been
    limited to the first five million characters in order to avoid potential
    performance and memory issues.

  * CVE-2024-24680: Potential denial-of-service in intcomma template filter.
    The intcomma template filter was subject to a potential denial-of-service
    attack when used with very long strings.

  * CVE-2024-27351: Fix a potential regular expression denial-of-service
    (ReDoS) attack in django.utils.text.Truncator.words. This method (with
    html=True) and the truncatewords_html template filter were subject to a
    potential regular expression denial-of-service attack via a suitably
    crafted string. This is, in part, a follow up to CVE-2019-14232 and
    CVE-2023-43665.

 -- Chris Lamb <lamby@debian.org>  Thu, 05 Jun 2025 15:40:11 -0700

python-django (2:2.2.28-1~deb11u6) bullseye-security; urgency=medium

  * CVE-2025-26699: Prevent a potential denial-of-service in the wrap()
    method of the django.utils.text module. This method and wordwrap template
    filter were subject to a potential DoS attack when used with very long
    strings. (Closes: #1099682)

 -- Chris Lamb <lamby@debian.org>  Wed, 19 Mar 2025 14:40:53 +0000

python-django (2:2.2.28-1~deb11u5) bullseye-security; urgency=high

  * CVE-2024-56374: The lack of upper-bound limit enforcement in IPv6
    validation could have led to a potential denial-of-service attack. The
    undocumented and private clean_ipv6_address and is_valid_ipv6_address
    functions were vulnerable, as was the GenericIPAddressField form field.
    (Closes: #1093049)

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Jan 2025 12:32:26 +0000

python-django (2:2.2.28-1~deb11u4) bullseye-security; urgency=high

  * The fix for CVE-2024-6923 in the python3.9 source package (released
    as part of a suite of updates in DLA 3980-1) introduced stricter processing
    of input in the email module to increase security around header injection
    attacks. This, however, inadvertedly broke sending emails when using lazy
    translation strings here in the Django package, resulting in the package
    failing to build from source — at approximately the same time as the
    previous upload (i.e. 2:2.2.28-1~deb11u3).

    As the previous behaviour of Python's email module can be enabled by
    passing the strict=False, we now do so here, as Django detects and encodes
    newlines elsewhere in its handling of emails.

    Thanks to Santiago for the report.

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Jan 2025 15:51:56 +0000

python-django (2:2.2.28-1~deb11u3) bullseye-security; urgency=high


