=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/download\/(.*)\/tarball\//Django-$1.tar.gz/,uversionmangle=s/a(?=\d$)/alpha/;s/b(?=\d$)/beta/;s/(alpha|beta|rc)/~$1/ \
    https://www.djangoproject.com/download/ .*/(2[^/]+)/tarball/
