## python-django 3.2.12

=== docs/requirements.txt ===
pyenchant
Sphinx>=3.1.0
sphinxcontrib-spelling
