=== debian/changelog ===
python-django (2:3.2.12-2ubuntu1.22) jammy-security; urgency=medium

  * SECURITY UPDATE: Potential SQL injection
    - debian/patches/CVE-2025-59681.patch: protect against SQL injection in
      django/db/models/sql/query.py, tests/aggregation/tests.py,
      tests/annotations/tests.py,
      tests/expressions/test_queryset_values.py, tests/queries/tests.py.
    - CVE-2025-59681
  * SECURITY UPDATE: Potential partial directory-traversal
    - debian/patches/CVE-2025-59682.patch: validate path in
      django/utils/archive.py, tests/utils_tests/test_archive.py.
    - CVE-2025-59682

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Sep 2025 12:28:31 -0400

python-django (2:3.2.12-2ubuntu1.21) jammy-security; urgency=medium

  * SECURITY UPDATE: SQL injection
    - debian/patches/CVE-2025-57833.patch: protected
      FilteredRelation against SQL injection in column
      aliases in django/db/models/sql/query.py,
      tests/annotations/tests.py.
    - debian/patches/skipping_tests.patch: skipping
      FTBFS tests test_strip_tags.
    - CVE-2025-57833

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 01 Sep 2025 13:01:20 -0300

python-django (2:3.2.12-2ubuntu1.20) jammy-security; urgency=medium

  * SECURITY UPDATE: Prevented log injection
    - debian/patches/CVE-2025-48432-2.patch: prevented log injection in
      remaining response logging in django/views/generic/base.py,
      test/generic_views/test_base.py (LP: #2113924)

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 11 Jun 2025 16:31:28 -0300

python-django (2:3.2.12-2ubuntu1.19) jammy-security; urgency=medium

  * SECURITY UPDATE: Log structure manipulation
    - debian/patches/CVE-2025-48432.patch: escape formatting
      arguments in log_response() in django/utils/log.py,
      tests/logging_tests/tests.py.
    - CVE-2025-48432

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 02 Jun 2025 08:11:47 -0300

python-django (2:3.2.12-2ubuntu1.18) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service in strip_tags()
    - debian/patches/CVE-2025-32873.patch: check tag depth in
      django/utils/html.py, tests/utils_tests/test_html.py.
    - CVE-2025-32873

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Apr 2025 10:34:27 -0400

python-django (2:3.2.12-2ubuntu1.17) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-26699.patch: Change wrap to use textwrap library
      in ./django/utils/text.py.
    - CVE-2025-26699
  * Fix FTBFS due to failing test (LP: #2100643)
    - debian/patches/0012-FTBFS-skip-failing-ip-test-arg.patch: Remove ip
      bracket argument from test.

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 28 Feb 2025 12:59:44 -0330

python-django (2:3.2.12-2ubuntu1.16) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-56374.patch: mitigate potential
      DoS in IPv6 validation in django/db/models/fields/__init__.py.
      django/forms/fields.py, django/utils/ipv6.py,
      field_tests/test_genericipaddressfield.py,
      tests/utils_tests/test_ipv6.py.
    - CVE-2024-56374

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 08 Jan 2025 13:58:48 -0300

python-django (2:3.2.12-2ubuntu1.15) jammy-security; urgency=medium

  * SECURITY UPDATE: Potential denial-of-service in
    django.utils.html.strip_tags()
    - debian/patches/CVE-2024-53907.patch: mitigated potential DoS in
      strip_tags() in django/utils/html.py, tests/utils_tests/test_html.py.
    - CVE-2024-53907

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Nov 2024 08:30:54 -0500

python-django (2:3.2.12-2ubuntu1.14) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-45230.patch: mitigate
      potential DoS in urlize and urlizetrunc template filters
      in django/utils/html.py,
      tests/template_tests/filter_tests/test_urlize.py,
      tests/utils_tests/test_html.py.
    - CVE-2024-45230
  * SECURITY UPDATE: User email enumeration
    - debian/patches/CVE-2024-45231.patch: avoid
      server error on password reset when email sending fails
      in django/contrib/auth/forms.py,
      tests/auth_tests/test_forms.py,
      tests/mail/custombackend.py.
    - CVE-2024-45231

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 27 Aug 2024 11:53:08 -0300

python-django (2:3.2.12-2ubuntu1.13) jammy-security; urgency=medium

  * SECURITY UPDATE: Memory exhaustion issue
    - debian/patches/CVE-2024-41989-pre1.patch: fix loss of precision for
      Decimal values in floatformat filter in
      django/template/defaultfilters.py,
      tests/template_tests/filter_tests/test_floatformat.py.
    - debian/patches/CVE-2024-41989-pre2.patch: fix floatformat crash on
      zero with trailing zeros to zero decimal places in
      django/template/defaultfilters.py,
      tests/template_tests/filter_tests/test_floatformat.py.
    - debian/patches/CVE-2024-41989-pre3.patch: fix floatformat crash on
      zero with trailing zeros in django/template/defaultfilters.py,
      tests/template_tests/filter_tests/test_floatformat.py.
    - debian/patches/CVE-2024-41989.patch: prevent excessive memory
      consumption in floatformat in django/template/defaultfilters.py,
      tests/template_tests/filter_tests/test_floatformat.py.
    - CVE-2024-41989
  * SECURITY UPDATE: DoS vulnerability in django.utils.html.urlize()
    - debian/patches/CVE-2024-41990.patch: mitigate potential DoS in urlize
      and urlizetrunc template filters in django/utils/html.py,
      tests/utils_tests/test_html.py.
    - CVE-2024-41990
  * SECURITY UPDATE: DoS vulnerability in django.utils.html.urlize() and
    AdminURLFieldWidget
    - debian/patches/CVE-2024-41991.patch: prevented potential ReDoS
      in django/contrib/admin/widgets.py, django/utils/html.py,

