=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -17,6 +18,7 @@
  python-django-formtools-doc <!nodoc>,
  python-psycopg2-doc <!nodoc>,
  python3-all,
+ python3-asgiref <!nocheck>,
  python3-bcrypt <!nocheck>,
  python3-doc <!nodoc>,
  python3-docutils <!nodoc>,
@@ -46,10 +48,15 @@
 Replaces:
  python-django-common,
 Breaks:
+ lava-server (<< 2021.11),
  python-django-common,
+ python3-django-countries (<< 7.1~),
  python3-django-filters (<< 2.1.0),
+ python3-django-pyscss (<< 2.0.2-10~),
+ python3-django-tables2 (<< 2.3.4),
  python3-mysqldb (<< 1.3.13),
 Depends:
+ python3-asgiref,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -66,7 +73,7 @@
  python-django-doc,
  python3-bcrypt,
  python3-flup,
- python3-memcache,
+ python3-pymemcache |  python3-pylibmc,
  python3-mysqldb,
  python3-pil,
  python3-psycopg2,
