## python-django 3.2.16

=== debian/changelog ===
python-django (3:3.2.16-1) unstable; urgency=high

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2022/oct/04/security-releases/>

    - CVE-2022-41323: Prevent a potential denial-of-service vulnerability in
      internationalized URLs. Internationalised URLs were subject to potential
      denial of service attack via the locale parameter. This is now escaped to
      avoid this possibility.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Oct 2022 07:51:21 -0700
