## python-django 3.2.19

=== debian/changelog ===
python-django (3:3.2.19-1+deb12u1) bookworm-security; urgency=high

  * CVE-2023-36053: Potential regular expression denial of service
    vulnerability in EmailValidator/URLValidator.

    EmailValidator and URLValidator were subject to potential regular
    expression denial of service attack via a very large number of domain name
    labels of emails and URLs. (Closes: #1040225)

  * Add/apply the URLValidator patch from sid.

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Jul 2023 14:24:04 +0100

python-django (3:3.2.19-1) unstable; urgency=medium

  * New upstream security release.
  * CVE-2023-31047: Prevent a potential bypass of validation when uploading
    multiple files using one form field.

    Uploading multiple files using one form field has never been supported by
    forms.FileField or forms.ImageField as only the last uploaded file was
    validated. Unfortunately, Uploading multiple files topic suggested
    otherwise. In order to avoid the vulnerability, the ClearableFileInput and
    FileInput form widgets now raise ValueError when the multiple HTML
    attribute is set on them. To prevent the exception and keep the old
    behavior, set the allow_multiple_selected attribute to True.

    For more details on using the new attribute and handling of multiple files
    through a single field, see:

      <https://docs.djangoproject.com/en/stable/topics/http/file-uploads/#uploading-multiple-files>

    (Closes: #1035467)

  * Bump Standards-Version to 4.6.2.

 -- Chris Lamb <lamby@debian.org>  Wed, 03 May 2023 09:32:59 -0700
