## python-django 3.2.25

=== debian/changelog ===
python-django (3:3.2.25-0+deb12u2) bookworm-security; urgency=high

  * CVE-2025-13473: The check_password function in
    django.contrib.auth.handlers.modwsgi for authentication via mod_wsgi
    allowed remote attackers to enumerate users via a timing attack.
  * CVE-2025-14550: ASGIRequest allowed a remote attacker to cause a potential
    denial-of-service via a crafted request with multiple duplicate headers.
  * CVE-2026-1207: Raster lookups on RasterField (only implemented on PostGIS)
    allowed remote attackers to inject SQL via the band index parameter.
  * CVE-2026-1285: The django.utils.text.Truncator.chars() and
    Truncator.words() methods (with html=True) and the truncatechars_html and
    truncatewords_html template filters allowed a remote attacker to cause a
    potential denial-of-service via crafted inputs containing a large number of
    unmatched HTML end tags.
  * CVE-2026-1287: FilteredRelation was subject to SQL injection in column
    aliases via control characters using a suitably crafted dictionary, with
    dictionary expansion, as the **kwargs passed to QuerySet methods
    annotate(), aggregate(), extra(), values(), values_list() and alias().
  * CVE-2026-1312: QuerySet.order_by() was subject to SQL injection in column
    aliases containing periods when the same alias is, using a suitably
    crafted dictionary, with dictionary expansion, used in FilteredRelation.

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Feb 2026 15:32:59 -0800

python-django (3:3.2.25-0+deb12u1) bookworm-security; urgency=high

  * Update to upstream's last 3.2 series release:

    - CVE-2023-41164: Potential denial of service vulnerability in
      django.utils.encoding.uri_to_iri().

      This method was subject to potential denial of service attack via certain
      inputs with a very large number of Unicode characters. This fix was
      released in Django 3.2.21. (Closes: #1051226)

    - CVE-2023-43665: Address a denial-of-service possibility in
      django.utils.text.Truncator.

      Following the fix for CVE-2019-14232, the regular expressions used in the
      implementation of django.utils.text.Truncator’s chars() and words()
      methods (with html=True) were revised and improved. However, these
      regular expressions still exhibited linear backtracking complexity, so
      when given a very long, potentially malformed HTML input, the evaluation
      would still be slow, leading to a potential denial of service
      vulnerability.

      The chars() and words() methods are used to implement the
      truncatechars_html and truncatewords_html template filters, which were
      thus also vulnerable.

      The input processed by Truncator, when operating in HTML mode, has been
      limited to the first five million characters in order to avoid potential
      performance and memory issues. This fix was included in Django 3.2.22.

    - CVE-2024-24680: Potential denial-of-service in intcomma template filter.
      The intcomma template filter was subject to a potential denial-of-service
      attack when used with very long strings. This fix was included in Django
      3.2.24.

    - CVE-2024-27351: Fix a potential regular expression denial-of-service
      (ReDoS) attack in django.utils.text.Truncator.words. This method
      (with html=True) and the truncatewords_html template filter were subject
      to a potential regular expression denial-of-service attack via a suitably
      crafted string. This is, in part, a follow up to CVE-2019-14232 and
      CVE-2023-43665, and was included in Django 3.2.25.

  * Drop debian/patches/CVE-2023-36053.patch now that we include the fix
    directly via 3.2.20.

  * CVE-2024-39329: Avoid a username enumeration vulnerability through timing
    difference for users with unusable password. The authenticate method of
    django.contrib.auth.backends.ModelBackend method allowed remote attackers
    to enumerate users via a timing attack involving login requests for users
    with unusable passwords.

  * CVE-2024-39330: Address a potential directory-traversal in
    django.core.files.storage.Storage.save. Derived classes of this method's
    base class which override generate_filename without replicating the file
    path validations existing in the parent class allowed for potential
    directory-traversal via certain inputs when calling save(). Built-in
    Storage sub-classes were not affected by this vulnerability.

  * CVE-2024-39614: Fix a potential denial-of-service in
    django.utils.translation.get_supported_language_variant. This method was
    subject to a potential DoS attack when used with very long strings
    containing specific characters. To mitigate this vulnerability, the
    language code provided to get_supported_language_variant is now parsed up
    to a maximum length of 500 characters.

  * CVE-2024-41989: Memory exhaustion in django.utils.numberformat. The
    floatformat template filter is subject to significant memory consumption
    when given a string representation of a number in scientific notation with
    a large exponent.

  * CVE-2024-41991: Potential denial-of-service vulnerability in
    django.utils.html.urlize() and AdminURLFieldWidget. The urlize and
    urlizetrunc template filters, and the AdminURLFieldWidget widget, are
    subject to a potential denial-of-service attack via certain inputs with a
    very large number of Unicode characters.

  * CVE-2024-42005: Potential SQL injection in QuerySet.values() and
    values_list(). QuerySet.values() and values_list() methods on models with a
    JSONField are subject to SQL injection in column aliases via a crafted JSON
    object key as a passed *arg.

  * CVE-2024-45231: Potential user email enumeration via response status on
    password reset. Due to unhandled email sending failures, the
    django.contrib.auth.forms.PasswordResetForm class allowed remote attackers

