## python-django 4.2.4

=== debian/changelog ===
python-django (3:4.2.4-1ubuntu2.2) mantic-security; urgency=medium

  * SECURITY UPDATE: regular expression denial-of-service
    - debian/patches/CVE-2024-27351.patch: prevented potential ReDoS in
      Truncator.words() in django/utils/text.py,
      tests/utils_tests/test_text.py.
    - CVE-2024-27351

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Feb 2024 11:51:37 -0500

python-django (3:4.2.4-1ubuntu2.1) mantic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-24680.patch: rewrite
      regex logic to avoid DoS in django/contrib/humanize/templatetags
      /humanize.py, tests/humanize_tests/tests.py.
    - CVE-2024-24680

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 30 Jan 2024 10:38:29 -0300

python-django (3:4.2.4-1ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: DoS possibility in django.utils.text.Truncator
    - debian/patches/CVE-2023-43665.patch: limit size of input strings in
      django/utils/text.py, tests/utils_tests/test_text.py,
      docs/ref/templates/builtins.txt.
    - CVE-2023-43665

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Oct 2023 13:53:21 -0400

python-django (3:4.2.4-1ubuntu1) mantic; urgency=medium

  * SECURITY UPDATE: DoS in django.utils.encoding.uri_to_iri()
    - debian/patches/CVE-2023-41164.patch: properly handle large number of
      Unicode characters in django/utils/encoding.py,
      tests/utils_tests/test_encoding.py.
    - CVE-2023-41164

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 18 Sep 2023 14:41:43 -0400

python-django (3:4.2.4-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/4.2/releases/4.2.4/>

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Aug 2023 07:53:39 +0100

python-django (3:4.2.3-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2023-36053: Potential regular expression denial of service
      vulnerability in EmailValidator/URLValidator.

      EmailValidator and URLValidator were subject to potential regular
      expression denial of service attack via a very large number of domain
      name labels of emails and URLs. (Closes: #1040225)

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Jul 2023 17:28:20 +0100

python-django (3:4.2.2-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/4.2/releases/4.2.2/>

 -- Chris Lamb <lamby@debian.org>  Mon, 05 Jun 2023 08:12:54 -0700
