=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
@@ -32,7 +33,6 @@
  python3-tblib <!nocheck>,
  python3-tz <!nocheck>,
  python3-yaml <!nocheck>,
- sphinx-doc <!nodoc>,
 Build-Depends-Indep:
  libjs-jquery,
 Homepage: http://www.djangoproject.com/
@@ -47,12 +47,7 @@
 Replaces:
  python-django-common,
 Breaks:
- lava-server (<< 2021.11),
  python-django-common,
- python3-django-countries (<< 7.1~),
- python3-django-filters (<< 2.1.0),
- python3-django-pyscss (<< 2.0.2-10~),
- python3-django-tables2 (<< 2.3.4),
  python3-mysqldb (<< 1.3.13),
 Depends:
  python3-asgiref,
@@ -72,7 +67,7 @@
  python-django-doc,
  python3-bcrypt,
  python3-flup,
- python3-pymemcache |  python3-pylibmc,
+ python3-memcache,
  python3-mysqldb,
  python3-pil,
  python3-psycopg2,
@@ -104,7 +99,6 @@
 Package: python-django-doc
 Section: doc
 Architecture: all
-Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
